TAAS - Feature #155

Bank Book
02/21/2023 01:47 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 03/01/2023
Priority: Normal Due date:

Assignee: Greeshma S % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): NBK - Qatar Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Bank Book

Description

Coding Bank Book

History

#1 - 03/01/2023 10:02 AM - Junaid M
- Assignee changed from Junaid M to Akash B

#2 - 03/01/2023 10:02 AM - Junaid M
- Status changed from New to Open

- % Done changed from 0 to 10

#3 - 03/01/2023 04:44 PM - Akash B
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 03/03/2023 10:18 AM - Akash B
- Start date changed from 02/21/2023 to 03/01/2023

#5 - 03/03/2023 08:45 PM - Junaid M
- File SQL-BANK-BOOK-DETAILS.sql added

#6 - 03/11/2023 06:08 PM - Akash B
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

Pending Works to be done:
Details grid in Details List
Uncleared Issue Cheque in Summary List

#7 - 03/13/2023 03:02 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Fix error while Search

("Error Code: 404 \nMessage: Http failure response for https:/localhost:44382/TAAS/API/Account/FinancialReports/SearchBankBook: 404 OK")
2.Use CODE:NAME format on Cash Counter selection box

3.fix bugs on check box - Clered & Unclered

(Both check boxes are being checked automatically -- while search)

#8 - 03/14/2023 11:44 AM - Akash B
https://localhost:44382/TAAS/API/Account/FinancialReports/SearchBankBook

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 03/14/2023 04:39 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.Use dd/mm/yyyy format on grid
2.Resize grid Columns

#10 - 03/14/2023 05:57 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 06/09/2023 06:54 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix error on date format

(Use dd/mm/yyyy style on grid)

2.Fix bugs on grid Grid-alignment-changing-en-Search

3-Set"COBE:-NAME"AlignmentenResponsible-employee
_ L X tor sirmilarf

{Created-User-&-Sub-Ledger Input box)

5.1.Update Search filters - Date picker

(Only one date is required From / To)

#12 - 06/20/2023 10:56 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 06/21/2023 06:45 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix calculation errors on grid

(Details Tab - Received ,Paid, Balance)

2.Fix errors on Grid summary - Showing wrong Details

#14 - 06/24/2023 09:41 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
Summary of balance section in Details tab changed

#15 - 07/07/2023 06:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.CANT CHOOSE SUPPLIER WHEN ACT US CLIENT IN CUSTOMER SAME ISSUE ON COMMISSION AGENT

#16 - 07/07/2023 06:35 PM - Akash B

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#17 - 08/19/2023 05:56 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOWING CREDIT AMOUNT US DEBIT WITH MINUS SYMBOL
2.NOT SHOWING FINAL AMOUNT US DEBIT OR CREDIT

#18 - 10/07/2023 05:22 PM - Junaid M
- Assignee changed from Akash B to Vivekp V

#19 - 12/09/2023 05:41 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

ISSUE FIXED

1.SHOWING CREDIT AMOUNT US DEBIT WITH MINUS SYMBOL
2.NOT SHOWING FINAL AMOUNT US DEBIT OR CREDIT

3. total removed as projected balance and total are same

4 cr/dr only for balance

5 net ---> total

#20 - 12/12/2023 12:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ADD VALIDATION FOR STATUS fixed

2.SHOW DATA OF PAX PROFILES THAT CHOOSEN CHECK BOX OF SUB CUSTOMER IN PAX PROFILE MASTER ONLY fixed
3.DONT SHOW MAIN LEDGER DEFFAULTLY SHOW MAIN LEDGER THAT CHOOSEN BY BANK IN BANK MASTER MODULE fixed
4.DONT SHOW CASH COUNTER DEFAULTLY IN FILTER FIELD fixed

5.CLEAR BANK CURRENCY CODES WHILE CHOOSING NEW BUTTON fixed

7.CLEAR ADDED RESPONSIBLE EMPLOYEE,ACCOUNTANT WHILE CHOOSING NEW BUTTON fixed

8.SHOW BRANCH FIELD IN PRINT AS ALL WHILE SELECTING ALL BRANCH AND SEARCH fixed

9.SHOWING CHEQUE NO IN REFERENCE FIELD OF CASH WITHDRAWAL DOCUMENT WITHOUT ADDING A REFERENCE
10.ERASE TOOL BAR NOT WORKING

#21 - 12/12/2023 03:38 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.ADD VALIDATION FOR STATUS fixed

2.SHOW DATA OF PAX PROFILES THAT CHOOSEN CHECK BOX OF SUB CUSTOMER IN PAX PROFILE MASTER ONLY fixed
3.DONT SHOW MAIN LEDGER DEFFAULTLY SHOW MAIN LEDGER THAT CHOOSEN BY BANK IN BANK MASTER MODULE fixed
4.DONT SHOW CASH COUNTER DEFAULTLY IN FILTER FIELD fixed

5.CLEAR BANK CURRENCY CODES WHILE CHOOSING NEW BUTTON fixed

7.CLEAR ADDED RESPONSIBLE EMPLOYEE,ACCOUNTANT WHILE CHOOSING NEW BUTTON fixed

8.SHOW BRANCH FIELD IN PRINT AS ALL WHILE SELECTING ALL BRANCH AND SEARCH fixed

9.SHOWING CHEQUE NO IN REFERENCE FIELD OF CASH WITHDRAWAL DOCUMENT WITHOUT ADDING A REFERENCE fixed
10.ERASE TOOL BAR NOT WORKING fixed

#22 - 12/12/2023 05:03 PM - unnikannan S
TESTING DONE
#23 - 02/21/2024 12:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR DEFAULT 0 SHOWING IN BRANCH MULTY SELECT FIELD
2.ADD SEARCH FILTERS FOR DATE COLUMN

#24 - 02/21/2024 02:47 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE FIXED

1.CLEAR DEFAULT 0 SHOWING IN BRANCH MULTY SELECT FIELD
2.ADD SEARCH FILTERS FOR DATE COLUMN

#25 - 02/22/2024 10:03 AM - unnikannan S
TESTING DONE

#26 - 03/01/2024 01:41 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.ERROR IN PRINT BUTTON

#27 - 03/04/2024 10:05 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.ERROR IN PRINT BUTTON

#28 - 03/04/2024 11:15 AM - unnikannan S
TESTING DONE

#29 - 03/15/2024 03:00 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CLEAR BANK CURRENCY CODE FIELD NEED ONLY CODE&NAME IN Ul

#30 - 03/16/2024 10:58 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.CLEAR BANK CURRENCY CODE FIELD NEED ONLY CODE&NAME IN Ul

#31 - 03/16/2024 02:51 PM - unnikannan S
TESTING DONE
#32 - 03/16/2024 05:42 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED
1.CLEAR THE :: FROM PARTY COLUMN IN CASE OF THERE IS NO PARTY
#33 - 03/18/2024 09:47 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED
1.CLEAR THE :: FROM PARTY COLUMN IN CASE OF THERE IS NO PARTY

#34 - 03/18/2024 09:58 AM - unnikannan S
TESTING DONE

#35 - 03/26/2024 05:26 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.CLEAR COLUMN FROM PARTY FIELD IN PRINT
#36 - 03/26/2024 05:54 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

- Owner(Agency) NBK - Qatar added

- Owner(Agency) deleted (Travvise)

ISSUE FIXED

1.CLEAR COLUMN FROM PARTY FIELD IN PRINT
#37 - 08/16/2024 04:09 PM - unnikannan S

ISSUE FOUNDED

1.Show Reco No In list
2.Clear Date Format As DD/MM/YY

#38 - 08/16/2024 04:12 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#39 - 08/20/2024 04:47 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Show Reco No In list
2.Clear Date Format As DD/MM/YY

#40 - 08/20/2024 06:20 PM - unnikannan S
TESTING DONE

05/04/2025
#41 - 09/27/2024 04:04 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#42 - 12/03/2024 04:38 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE fixed

1. The drop down icon get missing from status label after we click on it.

2. Branch is not auto selected.

3. Add redirection to the document no:'s.

4. The details on the cheque is showing in the narration column not on details column. FIXED

NEW Changes DONE

1. Add redirection to document no: in details tab.

#43 - 12/07/2024 07:58 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#44 - 12/09/2024 11:49 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1)The details on the cheque is showing in both narration and details column.
2)The drop down icon get missing from status label after we click on it

#45 - 02/14/2025 09:33 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 02/14/2025 12:13 PM - Theja Ponon

- File clipboard-202502141200-jmtrs.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#47 - 02/14/2025 01:47 PM - Theja Ponon
- File clipboard-202502141243-likt1.png added
- File clipboard-202502141255-xsrh9.png added

Issue Found

1)Closing balance show in next page
Bank

Cash Counter

: BNKOO1:: Own Bank
: Al

Currency

. Base1(QAR)

Doc Date

Document No

Received
Amount

Paid Amount

Balance
Amount

Reference Details

14/02/2025

Opening
Balance

PV/001

0.00 Dr 0.00 Dr

0.00Cr  1000.00 Cr

0.00Dr

1000.00 Cr ALOOZ2 :: ACM Expected Bank
Transfer
Payment,
Paid Through
BNKOO1::
Own Bank,

Roe 1

Printed Date: 14/02/2025 11:45 AM

Printed By: admin

Doc Date Document No Reco No Received Paid Amount Balance Party Reference Details
Amount Amount
Closing 0.00 Cr 1000.00Cr  1000.00 Cr
Balance

2)No redirection for reco number
3)disable the dropdown after search

Bank Book

Period(Clear) *~ 4/02/2025

BNKDO1

Period(Transaction)

Period(Clear)

Created User =

Cleared

#48 - 02/14/2025 02:35 PM - Theja Ponon

Uncleared

Branch*
Status™
- Department

Sub Ledger ~

- Assignee changed from Vivekp V to Greeshma S

#49 - 02/17/2025 12:45 PM - Greeshma S

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#50 - 03/14/2025 11:31 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue Found

1)Amount is not showing in uncleared paid cheque
2)Incorrect Dr,Cr label in print of detail page
solution--remove dr,cr label from print

#51 - 03/17/2025 06:36 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

05/04/2025

- Cureney | Basel(QAR) v

- Cash Counter -

- File No =

Exclude -
Files

SQL-BANK-BOOK-DETAILS.sql
clipboard-202502141200-jmtrs.png
clipboard-202502141243-likt1.png
clipboard-202502141255-xsrh9.png

05/04/2025

3.38 KB
84.9 KB

83 KB
46.2 KB

03/03/2023
02/14/2025
02/14/2025
02/14/2025

Junaid M
Theja Ponon
Theja Ponon

Theja Ponon

8/8


http://www.tcpdf.org

